<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

$rand = mt_rand(100, 999);

echo '<img src="../images/img/partners.gif" alt=""> <b>Наперстки</b><br><br>';

if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!=""){

//--------------------- Главная страница --------------------------------//

if(!isset($action)){

echo '<img src="../images/naperstki/1.gif" alt="">.<br><br>';

echo '<b><a href="naperstki.php?action=choice&amp;'.SID.'">Играть</a></b><br><br>';

echo'У вас в наличии: '.moneys($udata[41]).'<br>';
}

//--------------------- Выбор наперстка --------------------------------//
if($action=="choice"){

if(isset($_SESSION['naperstki'])){
$_SESSION['naperstki']="";
unset($_SESSION['naperstki']);
}

echo '<a href="naperstki.php?action=go&amp;thimble=1&amp;rand='.$rand.'&amp;'.SID.'"><img src="../images/naperstki/2.gif" alt=""></a> ';
echo '<a href="naperstki.php?action=go&amp;thimble=2&amp;rand='.$rand.'&amp;'.SID.'"><img src="../images/naperstki/2.gif" alt=""></a> ';
echo '<a href="naperstki.php?action=go&amp;thimble=3&amp;rand='.$rand.'&amp;'.SID.'"><img src="../images/naperstki/2.gif" alt=""></a>.<br><br>';

echo 'Выберите наперсток в котором может находится шарик<br>';

echo'У вас в наличии: '.moneys($udata[41]).'<br>';

echo '<br><img src="../images/img/back.gif" alt=""> <a href="naperstki.php?'.SID.'">Вернуться</a>'; 	
}

//--------------------- Результат --------------------------------//
if($action=="go"){

if($udata[41]>=30){

if($_SESSION['naperstki']<3){

$_SESSION['naperstki']++;

$rand_thimble = mt_rand(1, 3);

if($rand_thimble==1){
echo '<img src="../images/naperstki/3.gif" alt=""> ';
} else {
echo '<img src="../images/naperstki/2.gif" alt=""> ';
}

if($rand_thimble==2){
echo '<img src="../images/naperstki/3.gif" alt=""> ';
} else {
echo '<img src="../images/naperstki/2.gif" alt=""> ';
}

if($rand_thimble==3){
echo '<img src="../images/naperstki/3.gif" alt="">.';
} else {
echo '<img src="../images/naperstki/2.gif" alt="">.';
}


//------------------------------ Выигрыш ----------------------------//
if($thimble==$rand_thimble){

//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[41]=$udata[41]+100;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen("../local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}	


echo'<br><b>Вы выиграли!</b><br>';


//------------------------------ Проигрыш ----------------------------//
}else{

//------------------------------ Запись в профиль ----------------------------//
$ufile = file_get_contents(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile);

$udata[41]=$udata[41]-30;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen("../local/profil/$log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}

echo'<br><b>Вы проиграли!</b><br>';
}


} else {echo '<b>Необходимо выбрать один из наперстков</b><br>';}


echo '<br><b><a href="naperstki.php?action=choice&amp;rand='.$rand.'&amp;'.SID.'">К выбору</a></b><br><br>';
echo 'У вас в наличии: '.moneys($udata[41]).'<br>';
/////////////////////////




} else {echo '<b>Вы не можете играть т.к. на вашем счете недостаточно средств</b><br>';}
}

if($action=="faq"){
	
echo 'Для участия в игре нажмите "Играть"<br>';
echo 'За каждый проигрыш у вас будут списывать по '.moneys(30).'<br>';	
echo 'За каждый выигрыш вы получите '.moneys(100).'<br>';	
echo 'Шанс банкира на выигрыш немного больше, чем у вас<br>';	
echo 'Итак дерзайте!<br>';
	
echo '<br><img src="../images/img/back.gif" alt=""> <a href="naperstki.php?'.SID.'">Вернуться</a>'; 	
}


}else{
echo '<br>Вы не авторизованы, чтобы начать игру, необходимо<br>';
echo '<b><a href="../pages/vhod.php?'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}

echo '<br><img src="../images/img/faq.gif" alt=""> <a href="naperstki.php?action=faq&amp;'.SID.'">Правила</a><br>';
echo '<img src="../images/img/games.gif" alt=""> <a href="../pages/index.php?action=arkada&amp;'.SID.'">Развлечения</a><br>'; 
echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once "../themes/$config_themes/foot.php";
?>